YUI AS Component Documentation |
Class StackedColumnSeries

Package | com.yahoo.astra.fl.charts.series
Class | public class StackedColumnSeries
Inheritance | StackedColumnSeries ColumnSeries CartesianSeries Series fl.core.UIComponent
Implements | IStackedSeries

A column series type that stacks.

Public Properties
Hide Inherited Public Properties
Show Inherited Public Properties

| Property | Defined by
--- | --- | ---
|  | axis : String = "primary" Indicates whether the series is bound to a primary or secondary axis | CartesianSeries
|  | chart : Object The chart in which this series appears. | Series
|  | dataProvider : Object The data provider for this series. | Series
|  | dataTipFunction : Function DataTip Function for series | Series
|  | displayName : String The name of the series as it appears to the user. | Series
|  | horizontalField : String Defines the property to access when determining the x value. | CartesianSeries
|  | itemRenderer : Object The class used to instantiate item renderers. | Series
|  | legendLabelFunction : Function If defined, the chart will call the input function to determine the text displayed in in the chart's legend. | Series
|  | length : int The number of items in the series. | Series
|  | showInLegend : Boolean When a Legend is present, indicates whether the series will show in the legend. | CartesianSeries
|  | verticalField : String Defines the property to access when determining the y value. | CartesianSeries

Public Methods
Hide Inherited Public Methods
Show Inherited Public Methods

| Method | Defined by
--- | --- | ---
|  | StackedColumnSeries(data:Object = null) Constructor. | StackedColumnSeries
|  | clone():ISeries | ColumnSeries
|  | createLegendItemData():LegendItemData Creates a LegendItemData object to pass to the chart's legend. | CartesianSeries
|  | itemRendererToIndex(renderer:ISeriesItemRenderer):int Returns the index of an item renderer. | Series
|  | itemToItemRenderer(item:Object):ISeriesItemRenderer Converts an item to its corresponding item renderer. | Series

Protected Methods
Hide Inherited Protected Methods
Show Inherited Protected Methods

| Method | Defined by
--- | --- | ---
|  | invalidateMarker(marker:ISeriesItemRenderer):void Invalidates a marker (considered new). | Series
|  | isMarkerInvalid(marker:ISeriesItemRenderer):Boolean Indicates whether special considerations should be taken for a newly created marker. | Series
|  | validateMarker(marker:ISeriesItemRenderer):void Makes a marker valid. | Series

Styles
Hide Inherited Styles
Show Inherited Styles

| Style | Description | Defined by
--- | --- | --- | ---
|  | animationDuration | Type: int The duration for animations that occur on data changes. | Series
|  | animationEasingFunction | Type: Function The easing function for animations that occur on data changes. | Series
|  | animationEnabled | Type: Boolean If true, data changes will be displayed with animations. | Series
|  | borderAlpha | Type: Number The alpha value from 0.0 to 1.0 to use for drawing the border of markers. | Series
|  | borderColor | Type: uint The border color used by programatic skins in this series. | Series
|  | color | Type: uint The base color used by objects displayed in this series. | Series
|  | fillAlpha | Type: Number The alpha value from 0.0 to 1.0 to use for drawing the fills of markers. | Series
|  | fillColor | Type: uint The fill color used by programatic skins in this series. | Series
|  | markerAlpha | Type: Number The alpha value from 0.0 to 1.0 to use for drawing the markers. | Series
|  | markerSize | Type: Number The size, in pixels, of each marker. | Series
|  | markerSkin | Type: Class The Class used to instantiate each marker's skin. | Series
|  | visibility | Type: String Indicates the value of the visible property. | CartesianSeries

Constructor detail

StackedColumnSeries | () | constructor

`public function StackedColumnSeries(data:Object = null)`

Constructor.

Parameters

| `data:Object` (default = `null`)``